#ifndef MONGER_H
#define MONGER_H 1
#define TEMPLATE "FROM/K,FILE,A=ALL/S,"\
		 "DISKS/S,DRAWERS/S,TOOLS/S,PROJECTS/S,TRASH=GARBAGE/S,"\
		 "U=UNSNAPSHOT/S,R=RECOLOR/S,OI=OLDIMAGE/K,NI=NEWIMAGE/K,"\
		 "OT=OLDTOOL/K,NT=NEWTOOL/K,OS=OLDSTACK/K,NS=NEWSTACK/N/K,"\
		 "NEWICON/K,Q=QUIET/S,V=VERBOSE/S,T=TEST/S"

enum OPTS {OPT_FROM,	    OPT_FILE,	    OPT_ALL,
	   OPT_DISKS,	    OPT_DRAWERS,    OPT_TOOLS,	   OPT_PROJECTS, OPT_GARBAGE,
	   OPT_UNSNAPSHOT,  OPT_RECOLOR,    OPT_OLDIMAGE,  OPT_NEWIMAGE,
	   OPT_OLDTOOL,     OPT_NEWTOOL,    OPT_OLDSTACK,  OPT_NEWSTACK,
	   OPT_NEWICON,     OPT_QUIET,	    OPT_VERBOSE,   OPT_TEST,
	   OPT_COUNT };

typedef struct {
			  /* These are handled directly by ReadArgs */
    char    *from;
    char    *file_pat;
    LONG     all;
    LONG     disks;
    LONG     drawers;
    LONG     tools;
    LONG     projects;
    LONG     garbage;
    LONG     unsnapshot;
    LONG     recolor;
    char    *old_image;
    char    *new_image;
    char    *old_tool_pat;
    char    *new_tool;
    char    *old_stack;
    LONG    *new_stack;
    char    *new_icon;
    LONG     quiet;
    LONG     verbose;
    LONG     test;
			  /* These are results of additional testing */
    LONG     old_stack_op;     /* lt le eq/% ge gt */
    LONG     old_stack_val;
  } parms_t;

#define MAXCHARS 120

extern parms_t parms;

/*********** Monger.c functions ***************/

extern BOOL scan_setup(   void );
extern void scan_cleanup( void );
extern BOOL test_diskobject( struct DiskObject *DO, char *filename );
extern BOOL mangle_diskobject( struct DiskObject *DO, char *filename );

extern int stop_check(            void    );
extern int get_volume_name( char *dirname );
extern int scan_directory ( char *dirname );

enum codes { OK,
	     PATTERN_WITHOUT_GROUP,
	     ALLOCATE_FAILURE,
	     BAD_FILE_NAME,
	     INVALID_DIR_NAME };

extern BOOL    control_c_hit;
extern parms_t parms;
extern struct DiskObject *newicon;

/*********** DoArgs.c functions ***************/

extern int   main( int argc, char * argv[] );
extern void  close_stuff();
extern BOOL  open_stuff();
extern char *do_TypeStr( UBYTE Type );

#endif

